| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Member Functions | List of all members
Tp::Filter< T > Class Template Reference
Utililty classes

The Filter class provides a base class to be used by specialized filters such as GenericCapabilityFilter, GenericPropertyFilter, etc. More...

`#include <TelepathyQt/Filter>`

Inheritance diagram for Tp::Filter< T >:
[legend]

## Public Member Functions

virtual | ~Filter ()
virtual bool | isValid () const
virtual bool | matches (const SharedPtr< T > &t) const
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Protected Member Functions

| Filter ()

## Detailed Description

### template<class T>
class Tp::Filter< T >

The Filter class provides a base class to be used by specialized filters such as GenericCapabilityFilter, GenericPropertyFilter, etc.

## Constructor & Destructor Documentation

## § ~Filter()

template<class T >

virtual Tp::Filter< T >::~Filter | ( |  | ) |

inline virtual

## § Filter()

template<class T >

Tp::Filter< T >::Filter | ( |  | ) |

inline protected

## Member Function Documentation

## § isValid()

template<class T >

virtual bool Tp::Filter< T >::isValid | ( |  | ) | const

inline virtual

Reimplemented in Tp::GenericCapabilityFilter< T >, Tp::AndFilter< T >, Tp::NotFilter< T >, Tp::OrFilter< T >, Tp::AccountPropertyFilter, Tp::GenericPropertyFilter< T >, and Tp::GenericPropertyFilter< Account >.

## § matches()

template<class T >

virtual bool Tp::Filter< T >::matches | ( | const SharedPtr< T > & | t | ) | const

inline virtual

Reimplemented in Tp::AndFilter< T >, Tp::OrFilter< T >, Tp::NotFilter< T >, Tp::GenericCapabilityFilter< T >, and Tp::GenericPropertyFilter< T >.